cb_quantizer Module Reference
Inheritance diagram for cb_quantizer:
[legend]

## Static Public Member Functions

## Always Constructs

ALWAYS_102 | ( clk )
ALWAYS_103 | ( clk )
ALWAYS_104 | ( clk )
ALWAYS_105 | ( clk )
ALWAYS_106 | ( clk )

## Public Attributes

## Inputs

clk |
rst |
enable |
Z11 | [ 10 : 0 ]
Z12 | [ 10 : 0 ]
Z13 | [ 10 : 0 ]
Z14 | [ 10 : 0 ]
Z15 | [ 10 : 0 ]
Z16 | [ 10 : 0 ]
Z17 | [ 10 : 0 ]
Z18 | [ 10 : 0 ]
Z21 | [ 10 : 0 ]
Z22 | [ 10 : 0 ]
Z23 | [ 10 : 0 ]
Z24 | [ 10 : 0 ]
Z25 | [ 10 : 0 ]
Z26 | [ 10 : 0 ]
Z27 | [ 10 : 0 ]
Z28 | [ 10 : 0 ]
Z31 | [ 10 : 0 ]
Z32 | [ 10 : 0 ]
Z33 | [ 10 : 0 ]
Z34 | [ 10 : 0 ]
Z35 | [ 10 : 0 ]
Z36 | [ 10 : 0 ]
Z37 | [ 10 : 0 ]
Z38 | [ 10 : 0 ]
Z41 | [ 10 : 0 ]
Z42 | [ 10 : 0 ]
Z43 | [ 10 : 0 ]
Z44 | [ 10 : 0 ]
Z45 | [ 10 : 0 ]
Z46 | [ 10 : 0 ]
Z47 | [ 10 : 0 ]
Z48 | [ 10 : 0 ]
Z51 | [ 10 : 0 ]
Z52 | [ 10 : 0 ]
Z53 | [ 10 : 0 ]
Z54 | [ 10 : 0 ]
Z55 | [ 10 : 0 ]
Z56 | [ 10 : 0 ]
Z57 | [ 10 : 0 ]
Z58 | [ 10 : 0 ]
Z61 | [ 10 : 0 ]
Z62 | [ 10 : 0 ]
Z63 | [ 10 : 0 ]
Z64 | [ 10 : 0 ]
Z65 | [ 10 : 0 ]
Z66 | [ 10 : 0 ]
Z67 | [ 10 : 0 ]
Z68 | [ 10 : 0 ]
Z71 | [ 10 : 0 ]
Z72 | [ 10 : 0 ]
Z73 | [ 10 : 0 ]
Z74 | [ 10 : 0 ]
Z75 | [ 10 : 0 ]
Z76 | [ 10 : 0 ]
Z77 | [ 10 : 0 ]
Z78 | [ 10 : 0 ]
Z81 | [ 10 : 0 ]
Z82 | [ 10 : 0 ]
Z83 | [ 10 : 0 ]
Z84 | [ 10 : 0 ]
Z85 | [ 10 : 0 ]
Z86 | [ 10 : 0 ]
Z87 | [ 10 : 0 ]
Z88 | [ 10 : 0 ]

## Outputs

Q11 | [ 10 : 0 ]
Q12 | [ 10 : 0 ]
Q13 | [ 10 : 0 ]
Q14 | [ 10 : 0 ]
Q15 | [ 10 : 0 ]
Q16 | [ 10 : 0 ]
Q17 | [ 10 : 0 ]
Q18 | [ 10 : 0 ]
Q21 | [ 10 : 0 ]
Q22 | [ 10 : 0 ]
Q23 | [ 10 : 0 ]
Q24 | [ 10 : 0 ]
Q25 | [ 10 : 0 ]
Q26 | [ 10 : 0 ]
Q27 | [ 10 : 0 ]
Q28 | [ 10 : 0 ]
Q31 | [ 10 : 0 ]
Q32 | [ 10 : 0 ]
Q33 | [ 10 : 0 ]
Q34 | [ 10 : 0 ]
Q35 | [ 10 : 0 ]
Q36 | [ 10 : 0 ]
Q37 | [ 10 : 0 ]
Q38 | [ 10 : 0 ]
Q41 | [ 10 : 0 ]
Q42 | [ 10 : 0 ]
Q43 | [ 10 : 0 ]
Q44 | [ 10 : 0 ]
Q45 | [ 10 : 0 ]
Q46 | [ 10 : 0 ]
Q47 | [ 10 : 0 ]
Q48 | [ 10 : 0 ]
Q51 | [ 10 : 0 ]
Q52 | [ 10 : 0 ]
Q53 | [ 10 : 0 ]
Q54 | [ 10 : 0 ]
Q55 | [ 10 : 0 ]
Q56 | [ 10 : 0 ]
Q57 | [ 10 : 0 ]
Q58 | [ 10 : 0 ]
Q61 | [ 10 : 0 ]
Q62 | [ 10 : 0 ]
Q63 | [ 10 : 0 ]
Q64 | [ 10 : 0 ]
Q65 | [ 10 : 0 ]
Q66 | [ 10 : 0 ]
Q67 | [ 10 : 0 ]
Q68 | [ 10 : 0 ]
Q71 | [ 10 : 0 ]
Q72 | [ 10 : 0 ]
Q73 | [ 10 : 0 ]
Q74 | [ 10 : 0 ]
Q75 | [ 10 : 0 ]
Q76 | [ 10 : 0 ]
Q77 | [ 10 : 0 ]
Q78 | [ 10 : 0 ]
Q81 | [ 10 : 0 ]
Q82 | [ 10 : 0 ]
Q83 | [ 10 : 0 ]
Q84 | [ 10 : 0 ]
Q85 | [ 10 : 0 ]
Q86 | [ 10 : 0 ]
Q87 | [ 10 : 0 ]
Q88 | [ 10 : 0 ]
out_enable |

## Parameters

Q1_1 | 1
Q1_2 | 1
Q1_3 | 1
Q1_4 | 1
Q1_5 | 1
Q1_6 | 1
Q1_7 | 1
Q1_8 | 1
Q2_1 | 1
Q2_2 | 1
Q2_3 | 1
Q2_4 | 1
Q2_5 | 1
Q2_6 | 1
Q2_7 | 1
Q2_8 | 1
Q3_1 | 1
Q3_2 | 1
Q3_3 | 1
Q3_4 | 1
Q3_5 | 1
Q3_6 | 1
Q3_7 | 1
Q3_8 | 1
Q4_1 | 1
Q4_2 | 1
Q4_3 | 1
Q4_4 | 1
Q4_5 | 1
Q4_6 | 1
Q4_7 | 1
Q4_8 | 1
Q5_1 | 1
Q5_2 | 1
Q5_3 | 1
Q5_4 | 1
Q5_5 | 1
Q5_6 | 1
Q5_7 | 1
Q5_8 | 1
Q6_1 | 1
Q6_2 | 1
Q6_3 | 1
Q6_4 | 1
Q6_5 | 1
Q6_6 | 1
Q6_7 | 1
Q6_8 | 1
Q7_1 | 1
Q7_2 | 1
Q7_3 | 1
Q7_4 | 1
Q7_5 | 1
Q7_6 | 1
Q7_7 | 1
Q7_8 | 1
Q8_1 | 1
Q8_2 | 1
Q8_3 | 1
Q8_4 | 1
Q8_5 | 1
Q8_6 | 1
Q8_7 | 1
Q8_8 | 1
QQ1_1 | 4096 / Q1_1
QQ1_2 | 4096 / Q1_2
QQ1_3 | 4096 / Q1_3
QQ1_4 | 4096 / Q1_4
QQ1_5 | 4096 / Q1_5
QQ1_6 | 4096 / Q1_6
QQ1_7 | 4096 / Q1_7
QQ1_8 | 4096 / Q1_8
QQ2_1 | 4096 / Q2_1
QQ2_2 | 4096 / Q2_2
QQ2_3 | 4096 / Q2_3
QQ2_4 | 4096 / Q2_4
QQ2_5 | 4096 / Q2_5
QQ2_6 | 4096 / Q2_6
QQ2_7 | 4096 / Q2_7
QQ2_8 | 4096 / Q2_8
QQ3_1 | 4096 / Q3_1
QQ3_2 | 4096 / Q3_2
QQ3_3 | 4096 / Q3_3
QQ3_4 | 4096 / Q3_4
QQ3_5 | 4096 / Q3_5
QQ3_6 | 4096 / Q3_6
QQ3_7 | 4096 / Q3_7
QQ3_8 | 4096 / Q3_8
QQ4_1 | 4096 / Q4_1
QQ4_2 | 4096 / Q4_2
QQ4_3 | 4096 / Q4_3
QQ4_4 | 4096 / Q4_4
QQ4_5 | 4096 / Q4_5
QQ4_6 | 4096 / Q4_6
QQ4_7 | 4096 / Q4_7
QQ4_8 | 4096 / Q4_8
QQ5_1 | 4096 / Q5_1
QQ5_2 | 4096 / Q5_2
QQ5_3 | 4096 / Q5_3
QQ5_4 | 4096 / Q5_4
QQ5_5 | 4096 / Q5_5
QQ5_6 | 4096 / Q5_6
QQ5_7 | 4096 / Q5_7
QQ5_8 | 4096 / Q5_8
QQ6_1 | 4096 / Q6_1
QQ6_2 | 4096 / Q6_2
QQ6_3 | 4096 / Q6_3
QQ6_4 | 4096 / Q6_4
QQ6_5 | 4096 / Q6_5
QQ6_6 | 4096 / Q6_6
QQ6_7 | 4096 / Q6_7
QQ6_8 | 4096 / Q6_8
QQ7_1 | 4096 / Q7_1
QQ7_2 | 4096 / Q7_2
QQ7_3 | 4096 / Q7_3
QQ7_4 | 4096 / Q7_4
QQ7_5 | 4096 / Q7_5
QQ7_6 | 4096 / Q7_6
QQ7_7 | 4096 / Q7_7
QQ7_8 | 4096 / Q7_8
QQ8_1 | 4096 / Q8_1
QQ8_2 | 4096 / Q8_2
QQ8_3 | 4096 / Q8_3
QQ8_4 | 4096 / Q8_4
QQ8_5 | 4096 / Q8_5
QQ8_6 | 4096 / Q8_6
QQ8_7 | 4096 / Q8_7
QQ8_8 | 4096 / Q8_8

## Signals

wire[ 12 : 0 ] | QM1_1
wire[ 12 : 0 ] | QM1_2
wire[ 12 : 0 ] | QM1_3
wire[ 12 : 0 ] | QM1_4
wire[ 12 : 0 ] | QM1_5
wire[ 12 : 0 ] | QM1_6
wire[ 12 : 0 ] | QM1_7
wire[ 12 : 0 ] | QM1_8
wire[ 12 : 0 ] | QM2_1
wire[ 12 : 0 ] | QM2_2
wire[ 12 : 0 ] | QM2_3
wire[ 12 : 0 ] | QM2_4
wire[ 12 : 0 ] | QM2_5
wire[ 12 : 0 ] | QM2_6
wire[ 12 : 0 ] | QM2_7
wire[ 12 : 0 ] | QM2_8
wire[ 12 : 0 ] | QM3_1
wire[ 12 : 0 ] | QM3_2
wire[ 12 : 0 ] | QM3_3
wire[ 12 : 0 ] | QM3_4
wire[ 12 : 0 ] | QM3_5
wire[ 12 : 0 ] | QM3_6
wire[ 12 : 0 ] | QM3_7
wire[ 12 : 0 ] | QM3_8
wire[ 12 : 0 ] | QM4_1
wire[ 12 : 0 ] | QM4_2
wire[ 12 : 0 ] | QM4_3
wire[ 12 : 0 ] | QM4_4
wire[ 12 : 0 ] | QM4_5
wire[ 12 : 0 ] | QM4_6
wire[ 12 : 0 ] | QM4_7
wire[ 12 : 0 ] | QM4_8
wire[ 12 : 0 ] | QM5_1
wire[ 12 : 0 ] | QM5_2
wire[ 12 : 0 ] | QM5_3
wire[ 12 : 0 ] | QM5_4
wire[ 12 : 0 ] | QM5_5
wire[ 12 : 0 ] | QM5_6
wire[ 12 : 0 ] | QM5_7
wire[ 12 : 0 ] | QM5_8
wire[ 12 : 0 ] | QM6_1
wire[ 12 : 0 ] | QM6_2
wire[ 12 : 0 ] | QM6_3
wire[ 12 : 0 ] | QM6_4
wire[ 12 : 0 ] | QM6_5
wire[ 12 : 0 ] | QM6_6
wire[ 12 : 0 ] | QM6_7
wire[ 12 : 0 ] | QM6_8
wire[ 12 : 0 ] | QM7_1
wire[ 12 : 0 ] | QM7_2
wire[ 12 : 0 ] | QM7_3
wire[ 12 : 0 ] | QM7_4
wire[ 12 : 0 ] | QM7_5
wire[ 12 : 0 ] | QM7_6
wire[ 12 : 0 ] | QM7_7
wire[ 12 : 0 ] | QM7_8
wire[ 12 : 0 ] | QM8_1
wire[ 12 : 0 ] | QM8_2
wire[ 12 : 0 ] | QM8_3
wire[ 12 : 0 ] | QM8_4
wire[ 12 : 0 ] | QM8_5
wire[ 12 : 0 ] | QM8_6
wire[ 12 : 0 ] | QM8_7
wire[ 12 : 0 ] | QM8_8
reg[ 22 : 0 ] | Z11_temp
reg[ 22 : 0 ] | Z12_temp
reg[ 22 : 0 ] | Z13_temp
reg[ 22 : 0 ] | Z14_temp
reg[ 22 : 0 ] | Z15_temp
reg[ 22 : 0 ] | Z16_temp
reg[ 22 : 0 ] | Z17_temp
reg[ 22 : 0 ] | Z18_temp
reg[ 22 : 0 ] | Z21_temp
reg[ 22 : 0 ] | Z22_temp
reg[ 22 : 0 ] | Z23_temp
reg[ 22 : 0 ] | Z24_temp
reg[ 22 : 0 ] | Z25_temp
reg[ 22 : 0 ] | Z26_temp
reg[ 22 : 0 ] | Z27_temp
reg[ 22 : 0 ] | Z28_temp
reg[ 22 : 0 ] | Z31_temp
reg[ 22 : 0 ] | Z32_temp
reg[ 22 : 0 ] | Z33_temp
reg[ 22 : 0 ] | Z34_temp
reg[ 22 : 0 ] | Z35_temp
reg[ 22 : 0 ] | Z36_temp
reg[ 22 : 0 ] | Z37_temp
reg[ 22 : 0 ] | Z38_temp
reg[ 22 : 0 ] | Z41_temp
reg[ 22 : 0 ] | Z42_temp
reg[ 22 : 0 ] | Z43_temp
reg[ 22 : 0 ] | Z44_temp
reg[ 22 : 0 ] | Z45_temp
reg[ 22 : 0 ] | Z46_temp
reg[ 22 : 0 ] | Z47_temp
reg[ 22 : 0 ] | Z48_temp
reg[ 22 : 0 ] | Z51_temp
reg[ 22 : 0 ] | Z52_temp
reg[ 22 : 0 ] | Z53_temp
reg[ 22 : 0 ] | Z54_temp
reg[ 22 : 0 ] | Z55_temp
reg[ 22 : 0 ] | Z56_temp
reg[ 22 : 0 ] | Z57_temp
reg[ 22 : 0 ] | Z58_temp
reg[ 22 : 0 ] | Z61_temp
reg[ 22 : 0 ] | Z62_temp
reg[ 22 : 0 ] | Z63_temp
reg[ 22 : 0 ] | Z64_temp
reg[ 22 : 0 ] | Z65_temp
reg[ 22 : 0 ] | Z66_temp
reg[ 22 : 0 ] | Z67_temp
reg[ 22 : 0 ] | Z68_temp
reg[ 22 : 0 ] | Z71_temp
reg[ 22 : 0 ] | Z72_temp
reg[ 22 : 0 ] | Z73_temp
reg[ 22 : 0 ] | Z74_temp
reg[ 22 : 0 ] | Z75_temp
reg[ 22 : 0 ] | Z76_temp
reg[ 22 : 0 ] | Z77_temp
reg[ 22 : 0 ] | Z78_temp
reg[ 22 : 0 ] | Z81_temp
reg[ 22 : 0 ] | Z82_temp
reg[ 22 : 0 ] | Z83_temp
reg[ 22 : 0 ] | Z84_temp
reg[ 22 : 0 ] | Z85_temp
reg[ 22 : 0 ] | Z86_temp
reg[ 22 : 0 ] | Z87_temp
reg[ 22 : 0 ] | Z88_temp
reg[ 22 : 0 ] | Z11_temp_1
reg[ 22 : 0 ] | Z12_temp_1
reg[ 22 : 0 ] | Z13_temp_1
reg[ 22 : 0 ] | Z14_temp_1
reg[ 22 : 0 ] | Z15_temp_1
reg[ 22 : 0 ] | Z16_temp_1
reg[ 22 : 0 ] | Z17_temp_1
reg[ 22 : 0 ] | Z18_temp_1
reg[ 22 : 0 ] | Z21_temp_1
reg[ 22 : 0 ] | Z22_temp_1
reg[ 22 : 0 ] | Z23_temp_1
reg[ 22 : 0 ] | Z24_temp_1
reg[ 22 : 0 ] | Z25_temp_1
reg[ 22 : 0 ] | Z26_temp_1
reg[ 22 : 0 ] | Z27_temp_1
reg[ 22 : 0 ] | Z28_temp_1
reg[ 22 : 0 ] | Z31_temp_1
reg[ 22 : 0 ] | Z32_temp_1
reg[ 22 : 0 ] | Z33_temp_1
reg[ 22 : 0 ] | Z34_temp_1
reg[ 22 : 0 ] | Z35_temp_1
reg[ 22 : 0 ] | Z36_temp_1
reg[ 22 : 0 ] | Z37_temp_1
reg[ 22 : 0 ] | Z38_temp_1
reg[ 22 : 0 ] | Z41_temp_1
reg[ 22 : 0 ] | Z42_temp_1
reg[ 22 : 0 ] | Z43_temp_1
reg[ 22 : 0 ] | Z44_temp_1
reg[ 22 : 0 ] | Z45_temp_1
reg[ 22 : 0 ] | Z46_temp_1
reg[ 22 : 0 ] | Z47_temp_1
reg[ 22 : 0 ] | Z48_temp_1
reg[ 22 : 0 ] | Z51_temp_1
reg[ 22 : 0 ] | Z52_temp_1
reg[ 22 : 0 ] | Z53_temp_1
reg[ 22 : 0 ] | Z54_temp_1
reg[ 22 : 0 ] | Z55_temp_1
reg[ 22 : 0 ] | Z56_temp_1
reg[ 22 : 0 ] | Z57_temp_1
reg[ 22 : 0 ] | Z58_temp_1
reg[ 22 : 0 ] | Z61_temp_1
reg[ 22 : 0 ] | Z62_temp_1
reg[ 22 : 0 ] | Z63_temp_1
reg[ 22 : 0 ] | Z64_temp_1
reg[ 22 : 0 ] | Z65_temp_1
reg[ 22 : 0 ] | Z66_temp_1
reg[ 22 : 0 ] | Z67_temp_1
reg[ 22 : 0 ] | Z68_temp_1
reg[ 22 : 0 ] | Z71_temp_1
reg[ 22 : 0 ] | Z72_temp_1
reg[ 22 : 0 ] | Z73_temp_1
reg[ 22 : 0 ] | Z74_temp_1
reg[ 22 : 0 ] | Z75_temp_1
reg[ 22 : 0 ] | Z76_temp_1
reg[ 22 : 0 ] | Z77_temp_1
reg[ 22 : 0 ] | Z78_temp_1
reg[ 22 : 0 ] | Z81_temp_1
reg[ 22 : 0 ] | Z82_temp_1
reg[ 22 : 0 ] | Z83_temp_1
reg[ 22 : 0 ] | Z84_temp_1
reg[ 22 : 0 ] | Z85_temp_1
reg[ 22 : 0 ] | Z86_temp_1
reg[ 22 : 0 ] | Z87_temp_1
reg[ 22 : 0 ] | Z88_temp_1
reg[ 10 : 0 ] | Q11
reg[ 10 : 0 ] | Q12
reg[ 10 : 0 ] | Q13
reg[ 10 : 0 ] | Q14
reg[ 10 : 0 ] | Q15
reg[ 10 : 0 ] | Q16
reg[ 10 : 0 ] | Q17
reg[ 10 : 0 ] | Q18
reg[ 10 : 0 ] | Q21
reg[ 10 : 0 ] | Q22
reg[ 10 : 0 ] | Q23
reg[ 10 : 0 ] | Q24
reg[ 10 : 0 ] | Q25
reg[ 10 : 0 ] | Q26
reg[ 10 : 0 ] | Q27
reg[ 10 : 0 ] | Q28
reg[ 10 : 0 ] | Q31
reg[ 10 : 0 ] | Q32
reg[ 10 : 0 ] | Q33
reg[ 10 : 0 ] | Q34
reg[ 10 : 0 ] | Q35
reg[ 10 : 0 ] | Q36
reg[ 10 : 0 ] | Q37
reg[ 10 : 0 ] | Q38
reg[ 10 : 0 ] | Q41
reg[ 10 : 0 ] | Q42
reg[ 10 : 0 ] | Q43
reg[ 10 : 0 ] | Q44
reg[ 10 : 0 ] | Q45
reg[ 10 : 0 ] | Q46
reg[ 10 : 0 ] | Q47
reg[ 10 : 0 ] | Q48
reg[ 10 : 0 ] | Q51
reg[ 10 : 0 ] | Q52
reg[ 10 : 0 ] | Q53
reg[ 10 : 0 ] | Q54
reg[ 10 : 0 ] | Q55
reg[ 10 : 0 ] | Q56
reg[ 10 : 0 ] | Q57
reg[ 10 : 0 ] | Q58
reg[ 10 : 0 ] | Q61
reg[ 10 : 0 ] | Q62
reg[ 10 : 0 ] | Q63
reg[ 10 : 0 ] | Q64
reg[ 10 : 0 ] | Q65
reg[ 10 : 0 ] | Q66
reg[ 10 : 0 ] | Q67
reg[ 10 : 0 ] | Q68
reg[ 10 : 0 ] | Q71
reg[ 10 : 0 ] | Q72
reg[ 10 : 0 ] | Q73
reg[ 10 : 0 ] | Q74
reg[ 10 : 0 ] | Q75
reg[ 10 : 0 ] | Q76
reg[ 10 : 0 ] | Q77
reg[ 10 : 0 ] | Q78
reg[ 10 : 0 ] | Q81
reg[ 10 : 0 ] | Q82
reg[ 10 : 0 ] | Q83
reg[ 10 : 0 ] | Q84
reg[ 10 : 0 ] | Q85
reg[ 10 : 0 ] | Q86
reg[ 10 : 0 ] | Q87
reg[ 10 : 0 ] | Q88
reg | out_enable
reg | enable_1
reg | enable_2
reg | enable_3
integer | Z11_int
integer | Z12_int
integer | Z13_int
integer | Z14_int
integer | Z15_int
integer | Z16_int
integer | Z17_int
integer | Z18_int
integer | Z21_int
integer | Z22_int
integer | Z23_int
integer | Z24_int
integer | Z25_int
integer | Z26_int
integer | Z27_int
integer | Z28_int
integer | Z31_int
integer | Z32_int
integer | Z33_int
integer | Z34_int
integer | Z35_int
integer | Z36_int
integer | Z37_int
integer | Z38_int
integer | Z41_int
integer | Z42_int
integer | Z43_int
integer | Z44_int
integer | Z45_int
integer | Z46_int
integer | Z47_int
integer | Z48_int
integer | Z51_int
integer | Z52_int
integer | Z53_int
integer | Z54_int
integer | Z55_int
integer | Z56_int
integer | Z57_int
integer | Z58_int
integer | Z61_int
integer | Z62_int
integer | Z63_int
integer | Z64_int
integer | Z65_int
integer | Z66_int
integer | Z67_int
integer | Z68_int
integer | Z71_int
integer | Z72_int
integer | Z73_int
integer | Z74_int
integer | Z75_int
integer | Z76_int
integer | Z77_int
integer | Z78_int
integer | Z81_int
integer | Z82_int
integer | Z83_int
integer | Z84_int
integer | Z85_int
integer | Z86_int
integer | Z87_int
integer | Z88_int

## Detailed Description

Definition at line 41 of file cb_quantizer.v.

## Member Function Documentation

ALWAYS_102 | ( |  | clk
| ) |  |

Always Construct

Definition at line 313 of file cb_quantizer.v.

ALWAYS_103 | ( |  | clk
| ) |  |

Always Construct

Definition at line 418 of file cb_quantizer.v.

ALWAYS_104 | ( |  | clk
| ) |  |

Always Construct

Definition at line 475 of file cb_quantizer.v.

ALWAYS_105 | ( |  | clk
| ) |  |

Always Construct

Definition at line 531 of file cb_quantizer.v.

ALWAYS_106 | ( |  | clk
| ) |  |

Always Construct

Definition at line 618 of file cb_quantizer.v.

## Member Data Documentation

Q5_3 1

Parameter

Definition at line 106 of file cb_quantizer.v.

Q5_4 1

Parameter

Definition at line 107 of file cb_quantizer.v.

Q5_5 1

Parameter

Definition at line 108 of file cb_quantizer.v.

Q5_6 1

Parameter

Definition at line 109 of file cb_quantizer.v.

Q5_7 1

Parameter

Definition at line 110 of file cb_quantizer.v.

Q5_8 1

Parameter

Definition at line 111 of file cb_quantizer.v.

Q6_1 1

Parameter

Definition at line 112 of file cb_quantizer.v.

Q6_2 1

Parameter

Definition at line 113 of file cb_quantizer.v.

Q6_3 1

Parameter

Definition at line 114 of file cb_quantizer.v.

Q6_4 1

Parameter

Definition at line 115 of file cb_quantizer.v.

Q6_5 1

Parameter

Definition at line 116 of file cb_quantizer.v.

Q6_6 1

Parameter

Definition at line 117 of file cb_quantizer.v.

Q6_7 1

Parameter

Definition at line 118 of file cb_quantizer.v.

Q6_8 1

Parameter

Definition at line 119 of file cb_quantizer.v.

Q7_1 1

Parameter

Definition at line 120 of file cb_quantizer.v.

Q7_2 1

Parameter

Definition at line 121 of file cb_quantizer.v.

Q7_3 1

Parameter

Definition at line 122 of file cb_quantizer.v.

Q7_4 1

Parameter

Definition at line 123 of file cb_quantizer.v.

Q7_5 1

Parameter

Definition at line 124 of file cb_quantizer.v.

Q7_6 1

Parameter

Definition at line 125 of file cb_quantizer.v.

Q7_7 1

Parameter

Definition at line 126 of file cb_quantizer.v.

Q7_8 1

Parameter

Definition at line 127 of file cb_quantizer.v.

Q8_1 1

Parameter

Definition at line 128 of file cb_quantizer.v.

Q8_2 1

Parameter

Definition at line 129 of file cb_quantizer.v.

Q8_3 1

Parameter

Definition at line 130 of file cb_quantizer.v.

Q8_4 1

Parameter

Definition at line 131 of file cb_quantizer.v.

Q8_5 1

Parameter

Definition at line 132 of file cb_quantizer.v.

Q8_6 1

Parameter

Definition at line 133 of file cb_quantizer.v.

Q8_7 1

Parameter

Definition at line 134 of file cb_quantizer.v.

Q8_8 1

Parameter

Definition at line 135 of file cb_quantizer.v.

QQ1_1 4096 / Q1_1

Parameter

Definition at line 150 of file cb_quantizer.v.

QQ1_2 4096 / Q1_2

Parameter

Definition at line 151 of file cb_quantizer.v.

QQ1_3 4096 / Q1_3

Parameter

Definition at line 152 of file cb_quantizer.v.

QQ1_4 4096 / Q1_4

Parameter

Definition at line 153 of file cb_quantizer.v.

QQ1_5 4096 / Q1_5

Parameter

Definition at line 154 of file cb_quantizer.v.

QQ1_6 4096 / Q1_6

Parameter

Definition at line 155 of file cb_quantizer.v.

QQ1_7 4096 / Q1_7

Parameter

Definition at line 156 of file cb_quantizer.v.

QQ1_8 4096 / Q1_8

Parameter

Definition at line 157 of file cb_quantizer.v.

QQ2_1 4096 / Q2_1

Parameter

Definition at line 158 of file cb_quantizer.v.

QQ2_2 4096 / Q2_2

Parameter

Definition at line 159 of file cb_quantizer.v.

QQ2_3 4096 / Q2_3

Parameter

Definition at line 160 of file cb_quantizer.v.

QQ2_4 4096 / Q2_4

Parameter

Definition at line 161 of file cb_quantizer.v.

QQ2_5 4096 / Q2_5

Parameter

Definition at line 162 of file cb_quantizer.v.

QQ2_6 4096 / Q2_6

Parameter

Definition at line 163 of file cb_quantizer.v.

QQ2_7 4096 / Q2_7

Parameter

Definition at line 164 of file cb_quantizer.v.

QQ2_8 4096 / Q2_8

Parameter

Definition at line 165 of file cb_quantizer.v.

QQ3_1 4096 / Q3_1

Parameter

Definition at line 166 of file cb_quantizer.v.

QQ3_2 4096 / Q3_2

Parameter

Definition at line 167 of file cb_quantizer.v.

QQ3_3 4096 / Q3_3

Parameter

Definition at line 168 of file cb_quantizer.v.

QQ3_4 4096 / Q3_4

Parameter

Definition at line 169 of file cb_quantizer.v.

QQ3_5 4096 / Q3_5

Parameter

Definition at line 170 of file cb_quantizer.v.

QQ3_6 4096 / Q3_6

Parameter

Definition at line 171 of file cb_quantizer.v.

QQ3_7 4096 / Q3_7

Parameter

Definition at line 172 of file cb_quantizer.v.

QQ3_8 4096 / Q3_8

Parameter

Definition at line 173 of file cb_quantizer.v.

QQ4_1 4096 / Q4_1

Parameter

Definition at line 174 of file cb_quantizer.v.

QQ4_2 4096 / Q4_2

Parameter

Definition at line 175 of file cb_quantizer.v.

QQ4_3 4096 / Q4_3

Parameter

Definition at line 176 of file cb_quantizer.v.

QQ4_4 4096 / Q4_4

Parameter

Definition at line 177 of file cb_quantizer.v.

QQ4_5 4096 / Q4_5

Parameter

Definition at line 178 of file cb_quantizer.v.

QQ4_6 4096 / Q4_6

Parameter

Definition at line 179 of file cb_quantizer.v.

QQ4_7 4096 / Q4_7

Parameter

Definition at line 180 of file cb_quantizer.v.

QQ4_8 4096 / Q4_8

Parameter

Definition at line 181 of file cb_quantizer.v.

QQ5_1 4096 / Q5_1

Parameter

Definition at line 182 of file cb_quantizer.v.

QQ5_2 4096 / Q5_2

Parameter

Definition at line 183 of file cb_quantizer.v.

QQ5_3 4096 / Q5_3

Parameter

Definition at line 184 of file cb_quantizer.v.

QQ5_4 4096 / Q5_4

Parameter

Definition at line 185 of file cb_quantizer.v.

QQ5_5 4096 / Q5_5

Parameter

Definition at line 186 of file cb_quantizer.v.

QQ5_6 4096 / Q5_6

Parameter

Definition at line 187 of file cb_quantizer.v.

QQ5_7 4096 / Q5_7

Parameter

Definition at line 188 of file cb_quantizer.v.

QQ5_8 4096 / Q5_8

Parameter

Definition at line 189 of file cb_quantizer.v.

QQ6_1 4096 / Q6_1

Parameter

Definition at line 190 of file cb_quantizer.v.

QQ6_2 4096 / Q6_2

Parameter

Definition at line 191 of file cb_quantizer.v.

QQ6_3 4096 / Q6_3

Parameter

Definition at line 192 of file cb_quantizer.v.

QQ6_4 4096 / Q6_4

Parameter

Definition at line 193 of file cb_quantizer.v.

QQ6_5 4096 / Q6_5

Parameter

Definition at line 194 of file cb_quantizer.v.

QQ6_6 4096 / Q6_6

Parameter

Definition at line 195 of file cb_quantizer.v.

QQ6_7 4096 / Q6_7

Parameter

Definition at line 196 of file cb_quantizer.v.

QQ6_8 4096 / Q6_8

Parameter

Definition at line 197 of file cb_quantizer.v.

QQ7_1 4096 / Q7_1

Parameter

Definition at line 198 of file cb_quantizer.v.

QQ7_2 4096 / Q7_2

Parameter

Definition at line 199 of file cb_quantizer.v.

QQ7_3 4096 / Q7_3

Parameter

Definition at line 200 of file cb_quantizer.v.

QQ7_4 4096 / Q7_4

Parameter

Definition at line 201 of file cb_quantizer.v.

QQ7_5 4096 / Q7_5

Parameter

Definition at line 202 of file cb_quantizer.v.

QQ7_6 4096 / Q7_6

Parameter

Definition at line 203 of file cb_quantizer.v.

QQ7_7 4096 / Q7_7

Parameter

Definition at line 204 of file cb_quantizer.v.

QQ7_8 4096 / Q7_8

Parameter

Definition at line 205 of file cb_quantizer.v.

QQ8_1 4096 / Q8_1

Parameter

Definition at line 206 of file cb_quantizer.v.

QQ8_2 4096 / Q8_2

Parameter

Definition at line 207 of file cb_quantizer.v.

QQ8_3 4096 / Q8_3

Parameter

Definition at line 208 of file cb_quantizer.v.

QQ8_4 4096 / Q8_4

Parameter

Definition at line 209 of file cb_quantizer.v.

QQ8_5 4096 / Q8_5

Parameter

Definition at line 210 of file cb_quantizer.v.

QQ8_6 4096 / Q8_6

Parameter

Definition at line 211 of file cb_quantizer.v.

QQ8_7 4096 / Q8_7

Parameter

Definition at line 212 of file cb_quantizer.v.

QQ8_8 4096 / Q8_8

Parameter

Definition at line 213 of file cb_quantizer.v.

QM1_1

Signal

Definition at line 215 of file cb_quantizer.v.

QM1_2

Signal

Definition at line 216 of file cb_quantizer.v.

QM1_3

Signal

Definition at line 217 of file cb_quantizer.v.

QM1_4

Signal

Definition at line 218 of file cb_quantizer.v.

QM1_5

Signal

Definition at line 219 of file cb_quantizer.v.

QM1_6

Signal

Definition at line 220 of file cb_quantizer.v.

QM1_7

Signal

Definition at line 221 of file cb_quantizer.v.

QM1_8

Signal

Definition at line 222 of file cb_quantizer.v.

QM2_1

Signal

Definition at line 223 of file cb_quantizer.v.

QM2_2

Signal

Definition at line 224 of file cb_quantizer.v.

QM2_3

Signal

Definition at line 225 of file cb_quantizer.v.

QM2_4

Signal

Definition at line 226 of file cb_quantizer.v.

QM2_5

Signal

Definition at line 227 of file cb_quantizer.v.

QM2_6

Signal

Definition at line 228 of file cb_quantizer.v.

QM2_7

Signal

Definition at line 229 of file cb_quantizer.v.

QM2_8

Signal

Definition at line 230 of file cb_quantizer.v.

QM3_1

Signal

Definition at line 231 of file cb_quantizer.v.

QM3_2

Signal

Definition at line 232 of file cb_quantizer.v.

QM3_3

Signal

Definition at line 233 of file cb_quantizer.v.

QM3_4

Signal

Definition at line 234 of file cb_quantizer.v.

QM3_5

Signal

Definition at line 235 of file cb_quantizer.v.

QM3_6

Signal

Definition at line 236 of file cb_quantizer.v.

QM3_7

Signal

Definition at line 237 of file cb_quantizer.v.

QM3_8

Signal

Definition at line 238 of file cb_quantizer.v.

QM4_1

Signal

Definition at line 239 of file cb_quantizer.v.

QM4_2

Signal

Definition at line 240 of file cb_quantizer.v.

QM4_3

Signal

Definition at line 241 of file cb_quantizer.v.

QM4_4

Signal

Definition at line 242 of file cb_quantizer.v.

QM4_5

Signal

Definition at line 243 of file cb_quantizer.v.

QM4_6

Signal

Definition at line 244 of file cb_quantizer.v.

QM4_7

Signal

Definition at line 245 of file cb_quantizer.v.

QM4_8

Signal

Definition at line 246 of file cb_quantizer.v.

QM5_1

Signal

Definition at line 247 of file cb_quantizer.v.

QM5_2

Signal

Definition at line 248 of file cb_quantizer.v.

QM5_3

Signal

Definition at line 249 of file cb_quantizer.v.

QM5_4

Signal

Definition at line 250 of file cb_quantizer.v.

QM5_5

Signal

Definition at line 251 of file cb_quantizer.v.

QM5_6

Signal

Definition at line 252 of file cb_quantizer.v.

QM5_7

Signal

Definition at line 253 of file cb_quantizer.v.

QM5_8

Signal

Definition at line 254 of file cb_quantizer.v.

QM6_1

Signal

Definition at line 255 of file cb_quantizer.v.

QM6_2

Signal

Definition at line 256 of file cb_quantizer.v.

QM6_3

Signal

Definition at line 257 of file cb_quantizer.v.

QM6_4

Signal

Definition at line 258 of file cb_quantizer.v.

QM6_5

Signal

Definition at line 259 of file cb_quantizer.v.

QM6_6

Signal

Definition at line 260 of file cb_quantizer.v.

QM6_7

Signal

Definition at line 261 of file cb_quantizer.v.

QM6_8

Signal

Definition at line 262 of file cb_quantizer.v.

QM7_1

Signal

Definition at line 263 of file cb_quantizer.v.

QM7_2

Signal

Definition at line 264 of file cb_quantizer.v.

QM7_3

Signal

Definition at line 265 of file cb_quantizer.v.

QM7_4

Signal

Definition at line 266 of file cb_quantizer.v.

QM7_5

Signal

Definition at line 267 of file cb_quantizer.v.

QM7_6

Signal

Definition at line 268 of file cb_quantizer.v.

QM7_7

Signal

Definition at line 269 of file cb_quantizer.v.

QM7_8

Signal

Definition at line 270 of file cb_quantizer.v.

QM8_1

Signal

Definition at line 271 of file cb_quantizer.v.

QM8_2

Signal

Definition at line 272 of file cb_quantizer.v.

QM8_3

Signal

Definition at line 273 of file cb_quantizer.v.

QM8_4

Signal

Definition at line 274 of file cb_quantizer.v.

QM8_5

Signal

Definition at line 275 of file cb_quantizer.v.

QM8_6

Signal

Definition at line 276 of file cb_quantizer.v.

QM8_7

Signal

Definition at line 277 of file cb_quantizer.v.

QM8_8

Signal

Definition at line 278 of file cb_quantizer.v.

Z11_temp

Signal

Definition at line 279 of file cb_quantizer.v.

Z12_temp

Signal

Definition at line 279 of file cb_quantizer.v.

Z13_temp

Signal

Definition at line 279 of file cb_quantizer.v.

Z14_temp

Signal

Definition at line 279 of file cb_quantizer.v.

Z15_temp

Signal

Definition at line 279 of file cb_quantizer.v.

Z16_temp

Signal

Definition at line 279 of file cb_quantizer.v.

Z17_temp

Signal

Definition at line 279 of file cb_quantizer.v.

Z18_temp

Signal

Definition at line 279 of file cb_quantizer.v.

Z21_temp

Signal

Definition at line 280 of file cb_quantizer.v.

Z22_temp

Signal

Definition at line 280 of file cb_quantizer.v.

Z23_temp

Signal

Definition at line 280 of file cb_quantizer.v.

Z24_temp

Signal

Definition at line 280 of file cb_quantizer.v.

Z25_temp

Signal

Definition at line 280 of file cb_quantizer.v.

Z26_temp

Signal

Definition at line 280 of file cb_quantizer.v.

Z27_temp

Signal

Definition at line 280 of file cb_quantizer.v.

Z28_temp

Signal

Definition at line 280 of file cb_quantizer.v.

Z31_temp

Signal

Definition at line 281 of file cb_quantizer.v.

Z32_temp

Signal

Definition at line 281 of file cb_quantizer.v.

Z33_temp

Signal

Definition at line 281 of file cb_quantizer.v.

Z34_temp

Signal

Definition at line 281 of file cb_quantizer.v.

Z35_temp

Signal

Definition at line 281 of file cb_quantizer.v.

Z36_temp

Signal

Definition at line 281 of file cb_quantizer.v.

Z37_temp

Signal

Definition at line 281 of file cb_quantizer.v.

Z38_temp

Signal

Definition at line 281 of file cb_quantizer.v.

Z41_temp

Signal

Definition at line 282 of file cb_quantizer.v.

Z42_temp

Signal

Definition at line 282 of file cb_quantizer.v.

Z43_temp

Signal

Definition at line 282 of file cb_quantizer.v.

Z44_temp

Signal

Definition at line 282 of file cb_quantizer.v.

Z45_temp

Signal

Definition at line 282 of file cb_quantizer.v.

Z46_temp

Signal

Definition at line 282 of file cb_quantizer.v.

Z47_temp

Signal

Definition at line 282 of file cb_quantizer.v.

Z48_temp

Signal

Definition at line 282 of file cb_quantizer.v.

Z51_temp

Signal

Definition at line 283 of file cb_quantizer.v.

Z52_temp

Signal

Definition at line 283 of file cb_quantizer.v.

Z53_temp

Signal

Definition at line 283 of file cb_quantizer.v.

Z54_temp

Signal

Definition at line 283 of file cb_quantizer.v.

Z55_temp

Signal

Definition at line 283 of file cb_quantizer.v.

Z56_temp

Signal

Definition at line 283 of file cb_quantizer.v.

Z57_temp

Signal

Definition at line 283 of file cb_quantizer.v.

Z58_temp

Signal

Definition at line 283 of file cb_quantizer.v.

Z61_temp

Signal

Definition at line 284 of file cb_quantizer.v.

Z62_temp

Signal

Definition at line 284 of file cb_quantizer.v.

Z63_temp

Signal

Definition at line 284 of file cb_quantizer.v.

Z64_temp

Signal

Definition at line 284 of file cb_quantizer.v.

Z65_temp

Signal

Definition at line 284 of file cb_quantizer.v.

Z66_temp

Signal

Definition at line 284 of file cb_quantizer.v.

Z67_temp

Signal

Definition at line 284 of file cb_quantizer.v.

Z68_temp

Signal

Definition at line 284 of file cb_quantizer.v.

Z71_temp

Signal

Definition at line 285 of file cb_quantizer.v.

Z72_temp

Signal

Definition at line 285 of file cb_quantizer.v.

Z73_temp

Signal

Definition at line 285 of file cb_quantizer.v.

Z74_temp

Signal

Definition at line 285 of file cb_quantizer.v.

Z75_temp

Signal

Definition at line 285 of file cb_quantizer.v.

Z76_temp

Signal

Definition at line 285 of file cb_quantizer.v.

Z77_temp

Signal

Definition at line 285 of file cb_quantizer.v.

Z78_temp

Signal

Definition at line 285 of file cb_quantizer.v.

Z81_temp

Signal

Definition at line 286 of file cb_quantizer.v.

Z82_temp

Signal

Definition at line 286 of file cb_quantizer.v.

Z83_temp

Signal

Definition at line 286 of file cb_quantizer.v.

Z84_temp

Signal

Definition at line 286 of file cb_quantizer.v.

Z85_temp

Signal

Definition at line 286 of file cb_quantizer.v.

Z86_temp

Signal

Definition at line 286 of file cb_quantizer.v.

Z87_temp

Signal

Definition at line 286 of file cb_quantizer.v.

Z88_temp

Signal

Definition at line 286 of file cb_quantizer.v.

Z11_temp_1

Signal

Definition at line 287 of file cb_quantizer.v.

Z12_temp_1

Signal

Definition at line 287 of file cb_quantizer.v.

Z13_temp_1

Signal

Definition at line 287 of file cb_quantizer.v.

Z14_temp_1

Signal

Definition at line 287 of file cb_quantizer.v.

Z15_temp_1

Signal

Definition at line 287 of file cb_quantizer.v.

Z16_temp_1

Signal

Definition at line 287 of file cb_quantizer.v.

Z17_temp_1

Signal

Definition at line 287 of file cb_quantizer.v.

Z18_temp_1

Signal

Definition at line 287 of file cb_quantizer.v.

Z21_temp_1

Signal

Definition at line 288 of file cb_quantizer.v.

Z22_temp_1

Signal

Definition at line 288 of file cb_quantizer.v.

Z23_temp_1

Signal

Definition at line 288 of file cb_quantizer.v.

Z24_temp_1

Signal

Definition at line 288 of file cb_quantizer.v.

Z25_temp_1

Signal

Definition at line 288 of file cb_quantizer.v.

Z26_temp_1

Signal

Definition at line 288 of file cb_quantizer.v.

Z27_temp_1

Signal

Definition at line 288 of file cb_quantizer.v.

Z28_temp_1

Signal

Definition at line 288 of file cb_quantizer.v.

Z31_temp_1

Signal

Definition at line 289 of file cb_quantizer.v.

Z32_temp_1

Signal

Definition at line 289 of file cb_quantizer.v.

Z33_temp_1

Signal

Definition at line 289 of file cb_quantizer.v.

Z34_temp_1

Signal

Definition at line 289 of file cb_quantizer.v.

Z35_temp_1

Signal

Definition at line 289 of file cb_quantizer.v.

Z36_temp_1

Signal

Definition at line 289 of file cb_quantizer.v.

Z37_temp_1

Signal

Definition at line 289 of file cb_quantizer.v.

Z38_temp_1

Signal

Definition at line 289 of file cb_quantizer.v.

Z41_temp_1

Signal

Definition at line 290 of file cb_quantizer.v.

Z42_temp_1

Signal

Definition at line 290 of file cb_quantizer.v.

Z43_temp_1

Signal

Definition at line 290 of file cb_quantizer.v.

Z44_temp_1

Signal

Definition at line 290 of file cb_quantizer.v.

Z45_temp_1

Signal

Definition at line 290 of file cb_quantizer.v.

Z46_temp_1

Signal

Definition at line 290 of file cb_quantizer.v.

Z47_temp_1

Signal

Definition at line 290 of file cb_quantizer.v.

Z48_temp_1

Signal

Definition at line 290 of file cb_quantizer.v.

Z51_temp_1

Signal

Definition at line 291 of file cb_quantizer.v.

Z52_temp_1

Signal

Definition at line 291 of file cb_quantizer.v.

Z53_temp_1

Signal

Definition at line 291 of file cb_quantizer.v.

Z54_temp_1

Signal

Definition at line 291 of file cb_quantizer.v.

Z55_temp_1

Signal

Definition at line 291 of file cb_quantizer.v.

Z56_temp_1

Signal

Definition at line 291 of file cb_quantizer.v.

Z57_temp_1

Signal

Definition at line 291 of file cb_quantizer.v.

Z58_temp_1

Signal

Definition at line 291 of file cb_quantizer.v.

Z61_temp_1

Signal

Definition at line 292 of file cb_quantizer.v.

Z62_temp_1

Signal

Definition at line 292 of file cb_quantizer.v.

Z63_temp_1

Signal

Definition at line 292 of file cb_quantizer.v.

Z64_temp_1

Signal

Definition at line 292 of file cb_quantizer.v.

Z65_temp_1

Signal

Definition at line 292 of file cb_quantizer.v.

Z66_temp_1

Signal

Definition at line 292 of file cb_quantizer.v.

Z67_temp_1

Signal

Definition at line 292 of file cb_quantizer.v.

Z68_temp_1

Signal

Definition at line 292 of file cb_quantizer.v.

Z71_temp_1

Signal

Definition at line 293 of file cb_quantizer.v.

Z72_temp_1

Signal

Definition at line 293 of file cb_quantizer.v.

Z73_temp_1

Signal

Definition at line 293 of file cb_quantizer.v.

Z74_temp_1

Signal

Definition at line 293 of file cb_quantizer.v.

Z75_temp_1

Signal

Definition at line 293 of file cb_quantizer.v.

Z76_temp_1

Signal

Definition at line 293 of file cb_quantizer.v.

Z77_temp_1

Signal

Definition at line 293 of file cb_quantizer.v.

Z78_temp_1

Signal

Definition at line 293 of file cb_quantizer.v.

Z81_temp_1

Signal

Definition at line 294 of file cb_quantizer.v.

Z82_temp_1

Signal

Definition at line 294 of file cb_quantizer.v.

Z83_temp_1

Signal

Definition at line 294 of file cb_quantizer.v.

Z84_temp_1

Signal

Definition at line 294 of file cb_quantizer.v.

Z85_temp_1

Signal

Definition at line 294 of file cb_quantizer.v.

Z86_temp_1

Signal

Definition at line 294 of file cb_quantizer.v.

Z87_temp_1

Signal

Definition at line 294 of file cb_quantizer.v.

Z88_temp_1

Signal

Definition at line 294 of file cb_quantizer.v.

Q11

Signal

Definition at line 295 of file cb_quantizer.v.

Q12

Signal

Definition at line 295 of file cb_quantizer.v.

Q13

Signal

Definition at line 295 of file cb_quantizer.v.

Q14

Signal

Definition at line 295 of file cb_quantizer.v.

Q15

Signal

Definition at line 295 of file cb_quantizer.v.

Q16

Signal

Definition at line 295 of file cb_quantizer.v.

Q17

Signal

Definition at line 295 of file cb_quantizer.v.

Q18

Signal

Definition at line 295 of file cb_quantizer.v.

Q21

Signal

Definition at line 296 of file cb_quantizer.v.

Q22

Signal

Definition at line 296 of file cb_quantizer.v.

Q23

Signal

Definition at line 296 of file cb_quantizer.v.

Q24

Signal

Definition at line 296 of file cb_quantizer.v.

Q25

Signal

Definition at line 296 of file cb_quantizer.v.

Q26

Signal

Definition at line 296 of file cb_quantizer.v.

Q27

Signal

Definition at line 296 of file cb_quantizer.v.

Q28

Signal

Definition at line 296 of file cb_quantizer.v.

Q31

Signal

Definition at line 297 of file cb_quantizer.v.

Q32

Signal

Definition at line 297 of file cb_quantizer.v.

Q33

Signal

Definition at line 297 of file cb_quantizer.v.

Q34

Signal

Definition at line 297 of file cb_quantizer.v.

Q35

Signal

Definition at line 297 of file cb_quantizer.v.

Q36

Signal

Definition at line 297 of file cb_quantizer.v.

Q37

Signal

Definition at line 297 of file cb_quantizer.v.

Q38

Signal

Definition at line 297 of file cb_quantizer.v.

Q41

Signal

Definition at line 298 of file cb_quantizer.v.

Q42

Signal

Definition at line 298 of file cb_quantizer.v.

Q43

Signal

Definition at line 298 of file cb_quantizer.v.

Q44

Signal

Definition at line 298 of file cb_quantizer.v.

Q45

Signal

Definition at line 298 of file cb_quantizer.v.

Q46

Signal

Definition at line 298 of file cb_quantizer.v.

Q47

Signal

Definition at line 298 of file cb_quantizer.v.

Q48

Signal

Definition at line 298 of file cb_quantizer.v.

Q51

Signal

Definition at line 299 of file cb_quantizer.v.

Q52

Signal

Definition at line 299 of file cb_quantizer.v.

Q53

Signal

Definition at line 299 of file cb_quantizer.v.

Q54

Signal

Definition at line 299 of file cb_quantizer.v.

Q55

Signal

Definition at line 299 of file cb_quantizer.v.

Q56

Signal

Definition at line 299 of file cb_quantizer.v.

Q57

Signal

Definition at line 299 of file cb_quantizer.v.

Q58

Signal

Definition at line 299 of file cb_quantizer.v.

Q61

Signal

Definition at line 300 of file cb_quantizer.v.

Q62

Signal

Definition at line 300 of file cb_quantizer.v.

Q63

Signal

Definition at line 300 of file cb_quantizer.v.

Q64

Signal

Definition at line 300 of file cb_quantizer.v.

Q65

Signal

Definition at line 300 of file cb_quantizer.v.

Q66

Signal

Definition at line 300 of file cb_quantizer.v.

Q67

Signal

Definition at line 300 of file cb_quantizer.v.

Q68

Signal

Definition at line 300 of file cb_quantizer.v.

Q71

Signal

Definition at line 301 of file cb_quantizer.v.

Q72

Signal

Definition at line 301 of file cb_quantizer.v.

Q73

Signal

Definition at line 301 of file cb_quantizer.v.

Q74

Signal

Definition at line 301 of file cb_quantizer.v.

Q75

Signal

Definition at line 301 of file cb_quantizer.v.

Q76

Signal

Definition at line 301 of file cb_quantizer.v.

Q77

Signal

Definition at line 301 of file cb_quantizer.v.

Q78

Signal

Definition at line 301 of file cb_quantizer.v.

Q81

Signal

Definition at line 302 of file cb_quantizer.v.

Q82

Signal

Definition at line 302 of file cb_quantizer.v.

Q83

Signal

Definition at line 302 of file cb_quantizer.v.

Q84

Signal

Definition at line 302 of file cb_quantizer.v.

Q85

Signal

Definition at line 302 of file cb_quantizer.v.

Q86

Signal

Definition at line 302 of file cb_quantizer.v.

Q87

Signal

Definition at line 302 of file cb_quantizer.v.

Q88

Signal

Definition at line 302 of file cb_quantizer.v.

out_enable

Signal

Definition at line 303 of file cb_quantizer.v.

enable_1

Signal

Definition at line 303 of file cb_quantizer.v.

enable_2

Signal

Definition at line 303 of file cb_quantizer.v.

enable_3

Signal

Definition at line 303 of file cb_quantizer.v.

Z11_int

Signal

Definition at line 304 of file cb_quantizer.v.

Z12_int

Signal

Definition at line 304 of file cb_quantizer.v.

Z13_int

Signal

Definition at line 304 of file cb_quantizer.v.

Z14_int

Signal

Definition at line 304 of file cb_quantizer.v.

Z15_int

Signal

Definition at line 304 of file cb_quantizer.v.

Z16_int

Signal

Definition at line 304 of file cb_quantizer.v.

Z17_int

Signal

Definition at line 304 of file cb_quantizer.v.

Z18_int

Signal

Definition at line 304 of file cb_quantizer.v.

Z21_int

Signal

Definition at line 305 of file cb_quantizer.v.

Z22_int

Signal

Definition at line 305 of file cb_quantizer.v.

Z23_int

Signal

Definition at line 305 of file cb_quantizer.v.

Z24_int

Signal

Definition at line 305 of file cb_quantizer.v.

Z25_int

Signal

Definition at line 305 of file cb_quantizer.v.

Z26_int

Signal

Definition at line 305 of file cb_quantizer.v.

Z27_int

Signal

Definition at line 305 of file cb_quantizer.v.

Z28_int

Signal

Definition at line 305 of file cb_quantizer.v.

Z31_int

Signal

Definition at line 306 of file cb_quantizer.v.

Z32_int

Signal

Definition at line 306 of file cb_quantizer.v.

Z33_int

Signal

Definition at line 306 of file cb_quantizer.v.

Z34_int

Signal

Definition at line 306 of file cb_quantizer.v.

Z35_int

Signal

Definition at line 306 of file cb_quantizer.v.

Z36_int

Signal

Definition at line 306 of file cb_quantizer.v.

Z37_int

Signal

Definition at line 306 of file cb_quantizer.v.

Z38_int

Signal

Definition at line 306 of file cb_quantizer.v.

Z41_int

Signal

Definition at line 307 of file cb_quantizer.v.

Z42_int

Signal

Definition at line 307 of file cb_quantizer.v.

Z43_int

Signal

Definition at line 307 of file cb_quantizer.v.

Z44_int

Signal

Definition at line 307 of file cb_quantizer.v.

Z45_int

Signal

Definition at line 307 of file cb_quantizer.v.

Z46_int

Signal

Definition at line 307 of file cb_quantizer.v.

Z47_int

Signal

Definition at line 307 of file cb_quantizer.v.

Z48_int

Signal

Definition at line 307 of file cb_quantizer.v.

Z51_int

Signal

Definition at line 308 of file cb_quantizer.v.

Z52_int

Signal

Definition at line 308 of file cb_quantizer.v.

Z53_int

Signal

Definition at line 308 of file cb_quantizer.v.

Z54_int

Signal

Definition at line 308 of file cb_quantizer.v.

Z55_int

Signal

Definition at line 308 of file cb_quantizer.v.

Z56_int

Signal

Definition at line 308 of file cb_quantizer.v.

Z57_int

Signal

Definition at line 308 of file cb_quantizer.v.

Z58_int

Signal

Definition at line 308 of file cb_quantizer.v.

Z61_int

Signal

Definition at line 309 of file cb_quantizer.v.

Z62_int

Signal

Definition at line 309 of file cb_quantizer.v.

Z63_int

Signal

Definition at line 309 of file cb_quantizer.v.

Z64_int

Signal

Definition at line 309 of file cb_quantizer.v.

Z65_int

Signal

Definition at line 309 of file cb_quantizer.v.

Z66_int

Signal

Definition at line 309 of file cb_quantizer.v.

Z67_int

Signal

Definition at line 309 of file cb_quantizer.v.

Z68_int

Signal

Definition at line 309 of file cb_quantizer.v.

Z71_int

Signal

Definition at line 310 of file cb_quantizer.v.

Z72_int

Signal

Definition at line 310 of file cb_quantizer.v.

Z73_int

Signal

Definition at line 310 of file cb_quantizer.v.

Z74_int

Signal

Definition at line 310 of file cb_quantizer.v.

Z75_int

Signal

Definition at line 310 of file cb_quantizer.v.

Z76_int

Signal

Definition at line 310 of file cb_quantizer.v.

Z77_int

Signal

Definition at line 310 of file cb_quantizer.v.

Z78_int

Signal

Definition at line 310 of file cb_quantizer.v.

Z81_int

Signal

Definition at line 311 of file cb_quantizer.v.

Z82_int

Signal

Definition at line 311 of file cb_quantizer.v.

Z83_int

Signal

Definition at line 311 of file cb_quantizer.v.

Z84_int

Signal

Definition at line 311 of file cb_quantizer.v.

Z85_int

Signal

Definition at line 311 of file cb_quantizer.v.

Z86_int

Signal

Definition at line 311 of file cb_quantizer.v.

Z87_int

Signal

Definition at line 311 of file cb_quantizer.v.

Z88_int

Signal

Definition at line 311 of file cb_quantizer.v.

clk

Input

Definition at line 51 of file cb_quantizer.v.

rst

Input

Definition at line 52 of file cb_quantizer.v.

enable

Input

Definition at line 53 of file cb_quantizer.v.

Z11 [ 10 : 0 ]

Input

Definition at line 54 of file cb_quantizer.v.

Z12 [ 10 : 0 ]

Input

Definition at line 54 of file cb_quantizer.v.

Z13 [ 10 : 0 ]

Input

Definition at line 54 of file cb_quantizer.v.

Z14 [ 10 : 0 ]

Input

Definition at line 54 of file cb_quantizer.v.

Z15 [ 10 : 0 ]

Input

Definition at line 54 of file cb_quantizer.v.

Z16 [ 10 : 0 ]

Input

Definition at line 54 of file cb_quantizer.v.

Z17 [ 10 : 0 ]

Input

Definition at line 54 of file cb_quantizer.v.

Z18 [ 10 : 0 ]

Input

Definition at line 54 of file cb_quantizer.v.

Z21 [ 10 : 0 ]

Input

Definition at line 54 of file cb_quantizer.v.

Z22 [ 10 : 0 ]

Input

Definition at line 54 of file cb_quantizer.v.

Z23 [ 10 : 0 ]

Input

Definition at line 54 of file cb_quantizer.v.

Z24 [ 10 : 0 ]

Input

Definition at line 54 of file cb_quantizer.v.

Z25 [ 10 : 0 ]

Input

Definition at line 55 of file cb_quantizer.v.

Z26 [ 10 : 0 ]

Input

Definition at line 55 of file cb_quantizer.v.

Z27 [ 10 : 0 ]

Input

Definition at line 55 of file cb_quantizer.v.

Z28 [ 10 : 0 ]

Input

Definition at line 55 of file cb_quantizer.v.

Z31 [ 10 : 0 ]

Input

Definition at line 55 of file cb_quantizer.v.

Z32 [ 10 : 0 ]

Input

Definition at line 55 of file cb_quantizer.v.

Z33 [ 10 : 0 ]

Input

Definition at line 55 of file cb_quantizer.v.

Z34 [ 10 : 0 ]

Input

Definition at line 55 of file cb_quantizer.v.

Z35 [ 10 : 0 ]

Input

Definition at line 55 of file cb_quantizer.v.

Z36 [ 10 : 0 ]

Input

Definition at line 55 of file cb_quantizer.v.

Z37 [ 10 : 0 ]

Input

Definition at line 55 of file cb_quantizer.v.

Z38 [ 10 : 0 ]

Input

Definition at line 55 of file cb_quantizer.v.

Z41 [ 10 : 0 ]

Input

Definition at line 56 of file cb_quantizer.v.

Z42 [ 10 : 0 ]

Input

Definition at line 56 of file cb_quantizer.v.

Z43 [ 10 : 0 ]

Input

Definition at line 56 of file cb_quantizer.v.

Z44 [ 10 : 0 ]

Input

Definition at line 56 of file cb_quantizer.v.

Z45 [ 10 : 0 ]

Input

Definition at line 56 of file cb_quantizer.v.

Z46 [ 10 : 0 ]

Input

Definition at line 56 of file cb_quantizer.v.

Z47 [ 10 : 0 ]

Input

Definition at line 56 of file cb_quantizer.v.

Z48 [ 10 : 0 ]

Input

Definition at line 56 of file cb_quantizer.v.

Z51 [ 10 : 0 ]

Input

Definition at line 56 of file cb_quantizer.v.

Z52 [ 10 : 0 ]

Input

Definition at line 56 of file cb_quantizer.v.

Z53 [ 10 : 0 ]

Input

Definition at line 56 of file cb_quantizer.v.

Z54 [ 10 : 0 ]

Input

Definition at line 56 of file cb_quantizer.v.

Z55 [ 10 : 0 ]

Input

Definition at line 57 of file cb_quantizer.v.

Z56 [ 10 : 0 ]

Input

Definition at line 57 of file cb_quantizer.v.

Z57 [ 10 : 0 ]

Input

Definition at line 57 of file cb_quantizer.v.

Z58 [ 10 : 0 ]

Input

Definition at line 57 of file cb_quantizer.v.

Z61 [ 10 : 0 ]

Input

Definition at line 57 of file cb_quantizer.v.

Z62 [ 10 : 0 ]

Input

Definition at line 57 of file cb_quantizer.v.

Z63 [ 10 : 0 ]

Input

Definition at line 57 of file cb_quantizer.v.

Z64 [ 10 : 0 ]

Input

Definition at line 57 of file cb_quantizer.v.

Z65 [ 10 : 0 ]

Input

Definition at line 57 of file cb_quantizer.v.

Z66 [ 10 : 0 ]

Input

Definition at line 57 of file cb_quantizer.v.

Z67 [ 10 : 0 ]

Input

Definition at line 57 of file cb_quantizer.v.

Z68 [ 10 : 0 ]

Input

Definition at line 57 of file cb_quantizer.v.

Z71 [ 10 : 0 ]

Input

Definition at line 58 of file cb_quantizer.v.

Z72 [ 10 : 0 ]

Input

Definition at line 58 of file cb_quantizer.v.

Z73 [ 10 : 0 ]

Input

Definition at line 58 of file cb_quantizer.v.

Z74 [ 10 : 0 ]

Input

Definition at line 58 of file cb_quantizer.v.

Z75 [ 10 : 0 ]

Input

Definition at line 58 of file cb_quantizer.v.

Z76 [ 10 : 0 ]

Input

Definition at line 58 of file cb_quantizer.v.

Z77 [ 10 : 0 ]

Input

Definition at line 58 of file cb_quantizer.v.

Z78 [ 10 : 0 ]

Input

Definition at line 58 of file cb_quantizer.v.

Z81 [ 10 : 0 ]

Input

Definition at line 58 of file cb_quantizer.v.

Z82 [ 10 : 0 ]

Input

Definition at line 58 of file cb_quantizer.v.

Z83 [ 10 : 0 ]

Input

Definition at line 58 of file cb_quantizer.v.

Z84 [ 10 : 0 ]

Input

Definition at line 58 of file cb_quantizer.v.

Z85 [ 10 : 0 ]

Input

Definition at line 59 of file cb_quantizer.v.

Z86 [ 10 : 0 ]

Input

Definition at line 59 of file cb_quantizer.v.

Z87 [ 10 : 0 ]

Input

Definition at line 59 of file cb_quantizer.v.

Z88 [ 10 : 0 ]

Input

Definition at line 59 of file cb_quantizer.v.

Q11 [ 10 : 0 ]

Output

Definition at line 60 of file cb_quantizer.v.

Q12 [ 10 : 0 ]

Output

Definition at line 60 of file cb_quantizer.v.

Q13 [ 10 : 0 ]

Output

Definition at line 60 of file cb_quantizer.v.

Q14 [ 10 : 0 ]

Output

Definition at line 60 of file cb_quantizer.v.

Q15 [ 10 : 0 ]

Output

Definition at line 60 of file cb_quantizer.v.

Q16 [ 10 : 0 ]

Output

Definition at line 60 of file cb_quantizer.v.

Q17 [ 10 : 0 ]

Output

Definition at line 60 of file cb_quantizer.v.

Q18 [ 10 : 0 ]

Output

Definition at line 60 of file cb_quantizer.v.

Q21 [ 10 : 0 ]

Output

Definition at line 60 of file cb_quantizer.v.

Q22 [ 10 : 0 ]

Output

Definition at line 60 of file cb_quantizer.v.

Q23 [ 10 : 0 ]

Output

Definition at line 60 of file cb_quantizer.v.

Q24 [ 10 : 0 ]

Output

Definition at line 60 of file cb_quantizer.v.

Q25 [ 10 : 0 ]

Output

Definition at line 61 of file cb_quantizer.v.

Q26 [ 10 : 0 ]

Output

Definition at line 61 of file cb_quantizer.v.

Q27 [ 10 : 0 ]

Output

Definition at line 61 of file cb_quantizer.v.

Q28 [ 10 : 0 ]

Output

Definition at line 61 of file cb_quantizer.v.

Q31 [ 10 : 0 ]

Output

Definition at line 61 of file cb_quantizer.v.

Q32 [ 10 : 0 ]

Output

Definition at line 61 of file cb_quantizer.v.

Q33 [ 10 : 0 ]

Output

Definition at line 61 of file cb_quantizer.v.

Q34 [ 10 : 0 ]

Output

Definition at line 61 of file cb_quantizer.v.

Q35 [ 10 : 0 ]

Output

Definition at line 61 of file cb_quantizer.v.

Q36 [ 10 : 0 ]

Output

Definition at line 61 of file cb_quantizer.v.

Q37 [ 10 : 0 ]

Output

Definition at line 61 of file cb_quantizer.v.

Q38 [ 10 : 0 ]

Output

Definition at line 61 of file cb_quantizer.v.

Q41 [ 10 : 0 ]

Output

Definition at line 62 of file cb_quantizer.v.

Q42 [ 10 : 0 ]

Output

Definition at line 62 of file cb_quantizer.v.

Q43 [ 10 : 0 ]

Output

Definition at line 62 of file cb_quantizer.v.

Q44 [ 10 : 0 ]

Output

Definition at line 62 of file cb_quantizer.v.

Q45 [ 10 : 0 ]

Output

Definition at line 62 of file cb_quantizer.v.

Q46 [ 10 : 0 ]

Output

Definition at line 62 of file cb_quantizer.v.

Q47 [ 10 : 0 ]

Output

Definition at line 62 of file cb_quantizer.v.

Q48 [ 10 : 0 ]

Output

Definition at line 62 of file cb_quantizer.v.

Q51 [ 10 : 0 ]

Output

Definition at line 62 of file cb_quantizer.v.

Q52 [ 10 : 0 ]

Output

Definition at line 62 of file cb_quantizer.v.

Q53 [ 10 : 0 ]

Output

Definition at line 62 of file cb_quantizer.v.

Q54 [ 10 : 0 ]

Output

Definition at line 62 of file cb_quantizer.v.

Q55 [ 10 : 0 ]

Output

Definition at line 63 of file cb_quantizer.v.

Q56 [ 10 : 0 ]

Output

Definition at line 63 of file cb_quantizer.v.

Q57 [ 10 : 0 ]

Output

Definition at line 63 of file cb_quantizer.v.

Q58 [ 10 : 0 ]

Output

Definition at line 63 of file cb_quantizer.v.

Q61 [ 10 : 0 ]

Output

Definition at line 63 of file cb_quantizer.v.

Q62 [ 10 : 0 ]

Output

Definition at line 63 of file cb_quantizer.v.

Q63 [ 10 : 0 ]

Output

Definition at line 63 of file cb_quantizer.v.

Q64 [ 10 : 0 ]

Output

Definition at line 63 of file cb_quantizer.v.

Q65 [ 10 : 0 ]

Output

Definition at line 63 of file cb_quantizer.v.

Q66 [ 10 : 0 ]

Output

Definition at line 63 of file cb_quantizer.v.

Q67 [ 10 : 0 ]

Output

Definition at line 63 of file cb_quantizer.v.

Q68 [ 10 : 0 ]

Output

Definition at line 63 of file cb_quantizer.v.

Q71 [ 10 : 0 ]

Output

Definition at line 64 of file cb_quantizer.v.

Q72 [ 10 : 0 ]

Output

Definition at line 64 of file cb_quantizer.v.

Q73 [ 10 : 0 ]

Output

Definition at line 64 of file cb_quantizer.v.

Q74 [ 10 : 0 ]

Output

Definition at line 64 of file cb_quantizer.v.

Q75 [ 10 : 0 ]

Output

Definition at line 64 of file cb_quantizer.v.

Q76 [ 10 : 0 ]

Output

Definition at line 64 of file cb_quantizer.v.

Q77 [ 10 : 0 ]

Output

Definition at line 64 of file cb_quantizer.v.

Q78 [ 10 : 0 ]

Output

Definition at line 64 of file cb_quantizer.v.

Q81 [ 10 : 0 ]

Output

Definition at line 64 of file cb_quantizer.v.

Q82 [ 10 : 0 ]

Output

Definition at line 64 of file cb_quantizer.v.

Q83 [ 10 : 0 ]

Output

Definition at line 64 of file cb_quantizer.v.

Q84 [ 10 : 0 ]

Output

Definition at line 64 of file cb_quantizer.v.

Q85 [ 10 : 0 ]

Output

Definition at line 65 of file cb_quantizer.v.

Q86 [ 10 : 0 ]

Output

Definition at line 65 of file cb_quantizer.v.

Q87 [ 10 : 0 ]

Output

Definition at line 65 of file cb_quantizer.v.

Q88 [ 10 : 0 ]

Output

Definition at line 65 of file cb_quantizer.v.

out_enable

Output

Definition at line 66 of file cb_quantizer.v.

Q1_1 1

Parameter

Definition at line 72 of file cb_quantizer.v.

Q1_2 1

Parameter

Definition at line 73 of file cb_quantizer.v.

Q1_3 1

Parameter

Definition at line 74 of file cb_quantizer.v.

Q1_4 1

Parameter

Definition at line 75 of file cb_quantizer.v.

Q1_5 1

Parameter

Definition at line 76 of file cb_quantizer.v.

Q1_6 1

Parameter

Definition at line 77 of file cb_quantizer.v.

Q1_7 1

Parameter

Definition at line 78 of file cb_quantizer.v.

Q1_8 1

Parameter

Definition at line 79 of file cb_quantizer.v.

Q2_1 1

Parameter

Definition at line 80 of file cb_quantizer.v.

Q2_2 1

Parameter

Definition at line 81 of file cb_quantizer.v.

Q2_3 1

Parameter

Definition at line 82 of file cb_quantizer.v.

Q2_4 1

Parameter

Definition at line 83 of file cb_quantizer.v.

Q2_5 1

Parameter

Definition at line 84 of file cb_quantizer.v.

Q2_6 1

Parameter

Definition at line 85 of file cb_quantizer.v.

Q2_7 1

Parameter

Definition at line 86 of file cb_quantizer.v.

Q2_8 1

Parameter

Definition at line 87 of file cb_quantizer.v.

Q3_1 1

Parameter

Definition at line 88 of file cb_quantizer.v.

Q3_2 1

Parameter

Definition at line 89 of file cb_quantizer.v.

Q3_3 1

Parameter

Definition at line 90 of file cb_quantizer.v.

Q3_4 1

Parameter

Definition at line 91 of file cb_quantizer.v.

Q3_5 1

Parameter

Definition at line 92 of file cb_quantizer.v.

Q3_6 1

Parameter

Definition at line 93 of file cb_quantizer.v.

Q3_7 1

Parameter

Definition at line 94 of file cb_quantizer.v.

Q3_8 1

Parameter

Definition at line 95 of file cb_quantizer.v.

Q4_1 1

Parameter

Definition at line 96 of file cb_quantizer.v.

Q4_2 1

Parameter

Definition at line 97 of file cb_quantizer.v.

Q4_3 1

Parameter

Definition at line 98 of file cb_quantizer.v.

Q4_4 1

Parameter

Definition at line 99 of file cb_quantizer.v.

Q4_5 1

Parameter

Definition at line 100 of file cb_quantizer.v.

Q4_6 1

Parameter

Definition at line 101 of file cb_quantizer.v.

Q4_7 1

Parameter

Definition at line 102 of file cb_quantizer.v.

Q4_8 1

Parameter

Definition at line 103 of file cb_quantizer.v.

Q5_1 1

Parameter

Definition at line 104 of file cb_quantizer.v.

Q5_2 1

Parameter

Definition at line 105 of file cb_quantizer.v.

The documentation for this Module was generated from the following files:

- code/cb_quantizer.v